# Class IconCellComponent

- Defined in packages/angular/material/table-system/src/lib/cells/icon-cell/icon-cell.component.ts:19

#####
Index

### Constructors

constructor

### Properties

icon

##
Constructors

### constructor

- new IconCellComponent(): IconCellComponent

  #### Returns IconCellComponent

##
Properties

### icon

icon: null | IconConfig

- Defined in packages/angular/material/table-system/src/lib/cells/icon-cell/icon-cell.component.ts:22